Subject: Re: [manet] #9 (dymo): Reserved value for AODVv2 SeqNum -- is it necessary

From: "manet issue tracker" <[email-masked]>
Date: Tue, 23 Dec 2014 21:29:26 -0000

#9: Reserved value for AODVv2 SeqNum -- is it necessary

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => wontfix

Comment:

 On 6/24/2013 6:47 PM, Charles E. Perkins wrote:

 > This issue is trickier than most.  It turns out that specifying the
 operation
 > of intermediate RREP is easier if there is a reserved value for the
 AODVv2
 > Sequence Number field.  Other than making the code shorter by maybe
 > a dozen lines, and the inherent preferability of reducing the number of
 > special cases, I didn't see a strong push for deleting the specification
 for
 > the reserved value.
 >
 > There are some other peripherally related discussion points on the
 > mailing list, but which were not keyed directly to issue #9.  I will
 > try to find them and post any new insights to the issue tracker. If
 there
 > aren't any objections, I think it would be expedient and appropriate to
 > keep the existing specification of the reserved !SeqNum value (0).
 >
 > If I understand the point below:
 >> It will be not necessary but may be used by router's processing checks,
 >
 > I think it does not materially affect the outcome of the issue
 > resolution, but a more complete explanation would be interesting.

-- 
----------------------------------------+------------------------------
 Reporter:  [email-masked]       |       Owner:  Charlie Perkins
     Type:  defect                      |      Status:  closed
 Priority:  minor                       |   Milestone:
Component:  dymo                        |     Version:
 Severity:  Active WG Document          |  Resolution:  wontfix
 Keywords:  Sequence number management  |
----------------------------------------+------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/manet/trac/ticket/9#comment:2>
manet <http://tools.ietf.org/manet/>